import React, { useEffect, useState } from "react"
import './style.css'
import Icon from './images/Vector.svg'


const Second = (props) => {

    const [windowWidth, setWindowWidth] = useState(window.innerWidth)
    const [windowHeight, setWindowHeight] = useState(window.innerHeight)

    const handleResize = () => {
        setWindowWidth(window.innerWidth)
        setWindowHeight(window.innerHeight)
    }

    const route = props.getValue

    useEffect(() => {
        window.addEventListener('resize', handleResize);
        return () => {
            window.removeEventListener('resize', handleResize);
        }
    }, [])

    return (
        <div style={{
            display: 'flex',
            flexDirection: 'column',
            alignContent: 'center',
            flexWrap: 'wrap',
            justifyContent: 'space-between',
            height:{windowHeight} ,
            background: 'linear-gradient(180deg, #7EAFE7 0.27%, rgba(41, 134, 242, 0.38) 27.08%, rgba(41, 134, 242, 0.35) 31.77%, rgba(152, 198, 253, 0.28) 46.35%, rgba(41, 134, 242, 0.00) 100%)',
            filter: 'blur 2',
            paddingBottom:10,

        }}>
               <img src={Icon} alt='#'/>
               <div style={{
                display:'flex',
                flexDirection:'column',
                gap:20,
                alignItems:'center',
               }}>
                <h1 class="main_text">Давайте знакомиться!</h1>
                <p class="text">Пройдите небольшой тест,<br/> чтобы мы подобрали интересные<br/>
              для вас мероприятия</p>
               </div>
                
               <div style={{
                display:'flex',
                flexDirection:'column',
                gap:20,
                alignItems:'center',
               }}>
                  <button class="btn_first" onClick={() => route('/tinder')}>Давайте!</button>
                  <button class="btn_second" onClick={() => route('')}>Сам разберусь</button>
               </div>
          
        
            
        </div>
    )
}

export default Second;